13.4. Encodage au format Sony PSP
Précédent | Chapitre 13. Utilisation basique de MEncoder | Suivant

## 13.4. Encodage au format Sony PSP

MEncoder supporte l'encodage au format Sony PSP. Cependant les contraintes peuvent différer suivant la version actuelle du logiciel PSP. Le respect des contraintes suivantes devrait vous permettre d'encoder sans problème :

- Taux d'encodage: il ne devrait pas être supérieur à 1500kbps. Cependant, les dernières versions supportent presque tous les taux d'encodage tant que l'en-tête donne une valeur raisonable.

- Dimensions: la largeur et la hauteur de la video PSP doivent être multiples de 16 et le produit largeur * hauteur doit être <= 64000. Dans certaines circonstances, la PSP est capable de lire des résolutions supérieures.

- Audio: le taux d'échantillonage doit être fixé à 24kHz pour les vidéos MPEG-4 et à 48kHz pour les H.264.

Exemple 13.3. Exemple

     mencoder -oac lavc -ovc lavc -of lavf -lavcopts aglobal=1:vglobal=1:vcodec=mpeg4:acodec=aac \
     -af lavcresample=24000 -vf harddup -lavfopts format=psp:i_certify_that_my_video_stream_does_not_use_b_frames \
     -ofps 30000/1001 input.video -o output.psp

Vous pouvez définir le titre de la vidéo avec `-info name=`TitreDuFilm``.

Précédent | Niveau supérieur | Suivant
13.3. Encodage MPEG-4 deux passes ("DivX") | Sommaire | 13.5. Encodage au format MPEG